List Page content
/unified/knowledge-base/page-content
Query Parameters
Refer Specifying query parameters in Truto APIs
The page the content belongs to
16 supported15 required
The unique identifier for the page
The type of the format to retrieve the content.
htmlmarkdown
6 supported
The type of the page
articlesblog-postscommunity-postslanding-pagessite-pages
8 supported2 required
landing-pagessite-pagesblog-postsarticlescommunity-postsThe date and time the page content was created
10 supported
The date and time the page content was last updated
9 supported
2 supported2 required
The unique identifier for the space
1 supported
The unique identifier for the page content
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Page content
The unique identifier for the page content
17 supported
The body of the page content
17 supported
2 properties
The content of the body
The format of the body
markdownhtmlplaintext
The date and time the page content was created
10 supported
Whether the page content has children
5 supported
The page the content belongs to
15 supported
1 property
The unique identifier for the page
The type of the page
landing-pagessite-pagesblog-posts
8 supported
The parent of the page content
2 supported
2 properties
The unique identifier for the parent page content
The type of the parent
Raw data returned from the remote API call.
The order of the page content in the context of a page. Will increase sequentially from 0.
5 supported
The date and time the page content was last updated
9 supported
The URLs of the files attached in the page content
11 supported
2 properties
The URL type of the file
original_urltruto_download
The URL of the file
The visibility of the page
privatepublic
2 supported
curl -X GET 'https://api.truto.one/unified/knowledge-base/page-content?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/knowledge-base/page-content?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/knowledge-base/page-content"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'knowledge-base',
'pagecontent',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"knowledge-base",
"pagecontent",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())